Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 200678 - Apply custom goals to project context menu according to packaging type
Apply custom goals to project context menu according to packaging type
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
7.0
All All
: P3 (vote)
: 7.4
Assigned To: Milos Kleint
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-04 15:47 UTC by rptmaestro
Modified: 2013-02-27 16:12 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rptmaestro 2011-08-04 15:47:54 UTC
I create many custom goals that really only apply to maven projects with a particular packaging type (i.e. war, ear, custom). It would be useful to be able to define an optional packaging type for global custom goals definitions so that the goal only shows up on those projects that have that packaging type.
Comment 1 Jesse Glick 2011-08-04 19:27:39 UTC
Sensible.
Comment 2 Milos Kleint 2013-02-22 15:43:51 UTC
the backend side: http://hg.netbeans.org/core-main/rev/727525bf569d
config/Projects/o....maven/nbactions.xml file's mapping entries can declare the 
<packagings>
    <packaging>jar</packaging>
    <packaging>bundle</packaging>
</packaging>

to be shown in given packagings only.

UI is still TBD
Comment 3 Quality Engineering 2013-02-24 05:44:31 UTC
Integrated into 'main-golden', will be available in build *201302232300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/727525bf569d
User: Milos Kleint <mkleint@netbeans.org>
Log: #200678 filter global entries by packaging type
Comment 4 Milos Kleint 2013-02-26 14:20:39 UTC
ui added to Tools/Options/Maven dialog

https://hg.netbeans.org/core-main/rev/adf3f23f7e2c
Comment 5 Quality Engineering 2013-02-27 16:12:15 UTC
Integrated into 'main-golden', will be available in build *201302270948* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/adf3f23f7e2c
User: Milos Kleint <mkleint@netbeans.org>
Log: #200678 ui to set packaging(s) for global action mappings (as set in Tools/Options)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo